package com.memorynotfound.jsf;

import javax.faces.application.ResourceDependency;
import javax.faces.component.behavior.ClientBehavior;
import javax.faces.component.behavior.ClientBehaviorContext;
import javax.faces.render.ClientBehaviorRenderer;
import javax.faces.render.FacesBehaviorRenderer;

@ResourceDependency(name = "style.css", target = "head")
@FacesBehaviorRenderer(rendererType = FocusBlurRenderer.RENDERER_TYPE)
public class FocusBlurRenderer extends ClientBehaviorRenderer {

    public static final String RENDERER_TYPE = "focusblurrenderer";

    @Override
    public String getScript(ClientBehaviorContext behaviorContext, ClientBehavior behavior) {
        if (FocusBlurBehavior.FOCUS_EVENT.equals(behaviorContext.getEventName())){
            return "this.setAttribute('class', 'focus-css');";
        }
        if (FocusBlurBehavior.BLUR_EVENT.equals(behaviorContext.getEventName())){
            return "this.setAttribute('class','blur-css');";
        }
        return super.getScript(behaviorContext, behavior);
    }
}
